package com.chelvc.cloud.maintain.controller;
import com.chelvc.cloud.vehicle.api.service.CarouselImagesService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 轮播图接口
 *
 * @author liude
 * @date 2023/12/20
 */
@Validated
@RestController
@ResponseWrapping
public class CarouselImagesController {
    @DubboReference
    private CarouselImagesService carouselImagesService;

    /**
     * 轮播图列表查询
     *
     * @param
     */
    @GetMapping("/listCarouselImages/")
    public void listCarouselImages() {
        this.carouselImagesService.listCarouselImages();
    }



}
