package com.chelvc.cloud.maintain.vo;
import com.chelvc.cloud.vehicle.api.constant.FavoriteType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

/**
 * 收藏信息
 *
 * @author qizai
 * @date 2023/9/4
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FavoriteVO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 收藏类型
     */
    private FavoriteType type;

    /**
     * 收藏内容ID
     */
    private Long contentId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 简单商家信息
     */
    private SimpleMerchantVO simpleMerchantVO;
}
